Uploaded image for project: ' AGL Development'
  1. AGL Development
  2. SPEC-783

Build fails on recent Qt native versions (e.g. Debian Stretch)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Dab, Eel
    • Component/s: None

      Description

      On machines with recent Qt versions (e.g. Debian Stretch but not Jessie), the build fails with the following message:

      Makefile:347: recipe for target 'appframework_adaptor.cpp' failed
      make[1]: *** [appframework_adaptor.cpp] Error 1
      make[1]: *** Waiting for unfinished jobs....
      Segmentation fault
      Segmentation fault

      This is fixed in meta-qt5 upstream:

      https://github.com/meta-qt5/meta-qt5/commit/bf7cdd963008f2d61bc4c324fff2bfafe511fb5f

      We should backport it for Dab and update meta-qt5 to a later version for master.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              mkelly Martin Kelly
              Reporter:
              mkelly Martin Kelly
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: